
    function atomiApplyParams({inputUrl}) {
      try {
        console.log(inputUrl)
        const inputUrlObj = new URL(inputUrl, window.location.origin);
        const currentPageParams = new URLSearchParams(window.location.search);
        const inputUrlParams = new URLSearchParams(inputUrlObj.search);
      
        // Iterate over all parameters in the current page's URL
        for (const [key, value] of currentPageParams) {
          // If the input URL does not already contain the parameter, add it
          if (!inputUrlParams.has(key)) {
            inputUrlParams.append(key, value);
          }
        }
      
        // Construct the final URL
        const finalUrl = inputUrlObj.origin + inputUrlObj.pathname + '?' + inputUrlParams.toString();
        console.log(finalUrl)
        return finalUrl;
      } catch (error) {
        console.log(error);
      }
    }

    function atomiFormatDate(options = { slated: false, addDate: 0 }) {
      try {
        const defaultOptions = {
          weekday: 'long',
          year: 'numeric',
          month: 'long',
          day: 'numeric',
        };

        const today = new Date();

        if (options.slated) {
          const slatedDate = new Date(today);
          slatedDate.setDate(slatedDate.getDate() + (options.addDate || 0));

          const day = slatedDate.getDate().toString().padStart(2, "0");
          const month = (slatedDate.getMonth() + 1).toString().padStart(2, "0");
          const year = slatedDate.getFullYear();
          return `${day}/${month}/${year}`;
        }

        if(options.addDate){
          today.setDate(today.getDate()+options.addDate)
        }
        const formattedDate = today.toLocaleDateString(undefined, defaultOptions);

        return formattedDate;
      } catch (error) {
        console.log(error);
      }
    };

    function atomiFormatTime() {
      try {
        const now = new Date();
        return now.toLocaleTimeString(undefined, {
          hour: '2-digit',
          minute: '2-digit',
          hour12: false
        });
      } catch (error) {
        console.log(error);
      }
    };
    function runDelayedFunctions(data) {
      try {
        document.querySelectorAll('.atomicat-delay').forEach(el => el.classList.remove('atomicat-delay'));
        if(data?.setDisplayed){
          localStorage.setItem(data?.setDisplayed, true);
        }
        
      } catch (error) {
        console.log(error);
      }
    }
  
      (function()  {
        try {
          const option = {
            year: 'numeric',
            weekday: 'long',
            day: 'numeric',
            month: 'long',
          };

          const dataPorExtenso = new Date().toLocaleDateString(undefined, option);
          const dataNumerica = new Date().toLocaleDateString();
          let output = '';
          const request = new XMLHttpRequest();
          request.open('GET', 'https://wtfismyip.com/json', true);

          request.onload = function () {
            if (this.status >= 200 && this.status < 400) {
              const data = JSON.parse(this.response);
              output = data.YourFuckingLocation.replace(/,.+/g, "$'");
              console.log(data);
              console.log(document.querySelectorAll('.atomicat-customer-city'));
              document.querySelectorAll('.atomicat-customer-city').forEach(el => {
                el.innerText = data?.YourFuckingCity;
              });
              document.querySelectorAll('.atomicat-customer-country').forEach(el => {
                el.innerText = data?.YourFuckingCountry;
              });
              const script = {
                city: data?.YourFuckingCity,
                country: data?.YourFuckingCountry,
                countryCode: data?.YourFuckingCountryCode,
                location: data?.YourFuckingLocation,
                numToday: dataNumerica,
                fullToday: dataPorExtenso,
              };
            }
          };

          request.onerror = function () {};
          request.send();
          return output;
        } catch (error) {
          console.log(error);
        }
      })();
    
      (function() {
        try {
          const replaceItems = ["hoje-ext", "amanha-ext", "hoje", "ano", "amanha", "hora"]
          replaceItems.forEach(rI => {
            let innerData = ""
            if(rI == "hoje-ext"){
              innerData = atomiFormatDate()
            } else if(rI == "amanha-ext"){
              innerData = atomiFormatDate({addDate: 1})
            } else if(rI == "hoje"){
              innerData = atomiFormatDate({ slated: true })
            } else if(rI == "ano"){
              innerData = new Date().getFullYear()
            } else if(rI == "amanha"){
              innerData = atomiFormatDate({ slated: true, addDate: 1 })
            } else if(rI == "hora"){
              innerData = atomiFormatTime()
            }
            document.querySelectorAll('.atomicat-'+rI).forEach(el => {
              el.innerText = innerData
            });
          });
        } catch (error) {
          console.log(error);
        }
      })();
    
    (function() {
      try {
        const accordionTitles = document.querySelectorAll(".atomicat-accordion-title");
        accordionTitles.forEach((title, index) => {
          title.addEventListener("click", () => {
            // Toggle the "active" class to open/close the accordion
            title.classList.toggle("atomicat-title-active");
            const accordionContent = title.nextElementSibling;
            const toggleSymbol = title.querySelector(".atomicat-accordion-toggle");
            title.childNodes[1].childNodes[0].classList.toggle('atomicat-hidden')
            title.childNodes[1].childNodes[1].classList.toggle('atomicat-hidden')
            accordionContent.classList.toggle("atomicat-content-inactive");
             accordionContent.nextElementSibling.classList.toggle("atomicat-hidden");
          });
        });
      } catch (error) {
        console.log(error);
      }
    })();
      (function() {
        try {
          const countdownList = [{"misc":{"tag":"div","type":"countdown","countdownType":"evergreen","labelTag":"span","dateTime":"00:009","items":[{"text":"Days","show":false},{"text":"Hours","show":false},{"text":"Minutes","show":true},{"text":"Seconds","show":true}]},"compKey":"ed222bb3-f190-4566-b5b4-3b187e68100b"}];

          countdownList.forEach(function(countdown) {
            const countdownType = countdown.misc.countdownType;
            const dateTime = countdown.misc.dateTime;
            const compKey = countdown.compKey.slice(0, 7);
            const intervalName = 'atomicat_countdown_interval_' + compKey;

            window[intervalName] = setInterval(function updateCountdown() {
              let targetTime;
              if (countdownType === "evergreen") {
                const sessionStorageKey = 'atomicat_countdown_start_' + compKey;
                let countdownStart = sessionStorage.getItem(sessionStorageKey);
                if (!countdownStart) {
                  countdownStart = new Date().getTime();
                  sessionStorage.setItem(sessionStorageKey, countdownStart);
                }
                const [hours, minutes] = dateTime.split(":").map(Number);
                targetTime = new Date(parseInt(countdownStart));
                targetTime.setHours(targetTime.getHours() + hours);
                targetTime.setMinutes(targetTime.getMinutes() + minutes);
              } else if (countdownType === "due_date") {
                targetTime = new Date(dateTime);
              }

              const now = new Date();
              const distance = targetTime - now;

              if (distance <= 0) {
                clearInterval(window[intervalName]);
                const countdownContainer = document.querySelector('.atomicat-countdown-' + compKey);
                if(countdownContainer) {
                  const countdownDigits = countdownContainer.querySelectorAll('.atomicat-countdown-digits');
                  countdownDigits.forEach(digit => digit.textContent = '00');
                }
                return;
              }

              const days = Math.floor(distance / (1000 * 60 * 60 * 24));
              const hours = Math.floor((distance % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60));
              const minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
              const seconds = Math.floor((distance % (1000 * 60)) / 1000);

              const countdownContainer = document.querySelector('.atomicat-countdown-' + compKey);
              if(countdownContainer) {
                if(countdownContainer.querySelector('.atomicat-countdown-days')){
                  countdownContainer.querySelector('.atomicat-countdown-days').textContent = days < 10 ? `0${days}` : days;
                }
                if(countdownContainer.querySelector('.atomicat-countdown-hours')){
                  countdownContainer.querySelector('.atomicat-countdown-hours').textContent = hours < 10 ? `0${hours}` : hours;
                }
                if(countdownContainer.querySelector('.atomicat-countdown-minutes')){
                  countdownContainer.querySelector('.atomicat-countdown-minutes').textContent = minutes < 10 ? `0${minutes}` : minutes;
                }
                if(countdownContainer.querySelector('.atomicat-countdown-seconds')){
                  countdownContainer.querySelector('.atomicat-countdown-seconds').textContent = seconds < 10 ? `0${seconds}` : seconds;
                }
              }
            }, 1000);
          });
        } catch (error) {
          console.log(error);
        }
      })();